BasicCritterPropDescription (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.prop.BasicCritterPropDescription class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.prop
Class BasicCritterPropDescription

    java.lang.Object
      org.hyperic.hq.grouping.prop.BasicCritterPropDescription

All Implemented Interfaces:
  CritterPropDescription

Direct Known Subclasses:
  EnumCritterPropDescription

    public class BasicCritterPropDescription

extends java.lang.Object
implements CritterPropDescription

Constructor Summary
`BasicCritterPropDescription(CritterPropType type, java.lang.String id, java.lang.String name, java.lang.String purpose)` Create a new description for the `CritterProp`, defaulting to being a required property.
`BasicCritterPropDescription(CritterPropType type, java.lang.String id, java.lang.String name, java.lang.String purpose, boolean required)`

Method Summary
`java.lang.String` | `getId()` Returns the ID for the `CritterProp` associated with this description.
`java.lang.String` | `getName()` Returns a localized name for this prop.
`java.lang.String` | `getPurpose()` Return a localized purpose.
`CritterPropType` | `getType()` Return the type (I am a DATE, I am a STRING, etc.)
`boolean` | `isRequired()` If true, the associated `CritterProp` is required.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicCritterPropDescription

    public BasicCritterPropDescription(CritterPropType type,
                                       java.lang.String id,
                                       java.lang.String name,
                                       java.lang.String purpose,
                                       boolean required)

### BasicCritterPropDescription

    public BasicCritterPropDescription(CritterPropType type,
                                       java.lang.String id,
                                       java.lang.String name,
                                       java.lang.String purpose)

  Create a new description for the `CritterProp`, defaulting to being a required property.

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `CritterPropDescription`
  Returns the ID for the `CritterProp` associated with this description. The return value from this method should be equal to the value of CritterProp.getId()

  Specified by:
    `getId` in interface `CritterPropDescription`

### getName

    public java.lang.String getName()

  Description copied from interface: `CritterPropDescription`
  Returns a localized name for this prop. Used by the UI to generically argument types for critters.

  Specified by:
    `getName` in interface `CritterPropDescription`

### getType

    public CritterPropType getType()

  Description copied from interface: `CritterPropDescription`
  Return the type (I am a DATE, I am a STRING, etc.)

  Specified by:
    `getType` in interface `CritterPropDescription`

### getPurpose

    public java.lang.String getPurpose()

  Description copied from interface: `CritterPropDescription`
  Return a localized purpose.

  Specified by:
    `getPurpose` in interface `CritterPropDescription`

### isRequired

    public boolean isRequired()

  Description copied from interface: `CritterPropDescription`
  If true, the associated `CritterProp` is required.

  Specified by:
    `isRequired` in interface `CritterPropDescription`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.